View Issue Details

IDProjectCategoryView StatusLast Update
0003509unrealmodule apipublic2007-08-11 06:45
ReporterCuttingEdgeAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSLinuxOS Version2.6.18
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003509: Implement "ban version" blocks from U3
DescriptionImplement the "ban version" blocks from U3. This module would have to check the CTCP VERSION reply of connecting clients, and deny them access based apon the example block from U3 below:

ban version {
    mask <version-mask>;
    reason <reason-for-ban>;
    action [kill|tempshun|shun|kline|zline|gline|gzline];
};
Additional InformationI'm guessing this module would need to check clients during the 'NOTICE AUTH' stage of their connection before any of the 001, 002, etc numerics are displayed, much like the m_antibear module does with CTCP TIME.
TagsNo tags attached.
3rd party modules

Relationships

related to 0003441 closed Things that need change or features to be implemented in Unreal4 to match things in Unreal3 

Activities

stskeeps

2007-08-11 06:45

reporter   ~0014717

Patched in r166:
- Added m_banversion. Conf format: ban-version { mask "*mask*"; reason
  "reason"; }; Requested by CuttingEdge. Only currently zlines for 3600
  seconds

Issue History

Date Modified Username Field Change
2007-08-10 09:53 CuttingEdge New Issue
2007-08-11 06:45 stskeeps QA => Fixed by developer, needs QA testing
2007-08-11 06:45 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-08-11 06:45 stskeeps Status new => resolved
2007-08-11 06:45 stskeeps Fixed in Version => 4.0-devel
2007-08-11 06:45 stskeeps Resolution open => fixed
2007-08-11 06:45 stskeeps Assigned To => stskeeps
2007-08-11 06:45 stskeeps Note Added: 0014717
2007-08-11 21:51 aquanight Relationship added related to 0003441
2007-08-22 00:01 owine QA Fixed by developer, needs QA testing => QA has accepted the fix
2017-01-06 15:48 syzop Category module => module api